//
//  DictionaryClientViewController.m
//  DictionaryClient
//
//  Created by Shabnam on 11/28/12.
//  Copyright (c) 2012 Shabnam. All rights reserved.
//

#import "DictionaryClientViewController.h"
#import "DictionaryClientCommunicationCenter.h"

@interface DictionaryClientViewController () {
    DictionaryClientCommunicationCenter *cc;
    
}

@end

@implementation DictionaryClientViewController

@synthesize englishWord;
@synthesize frenchWord;
@synthesize hostName;
@synthesize hostPort;
@synthesize readyToGo = _readyToGo;
@synthesize connectButton;

- (void)viewDidLoad
{
    [super viewDidLoad];
    NSLog(@"ViewController is loaded.");
    
	// Do any additional setup after loading the view, typically from a nib.
    cc = [[DictionaryClientCommunicationCenter alloc] init];
    cc.delegate = self;
    _readyToGo=NO;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


- (IBAction)connect:(id)sender {
    NSString* host = hostName.text;
    int port = [hostPort.text intValue];
    [cc connectTo:host onPort:port];
    [connectButton setEnabled:NO];
}

- (IBAction)translate:(id)sender {
    if(self.readyToGo) {
        [cc sendMessage:englishWord.text];
    }
    NSLog(@"Method %@ was invoked.", NSStringFromSelector(_cmd));
}


-(void)setReadyToGoField{
    NSLog(@"you should do something");
    self.readyToGo = YES;
}

-(void)putTheFrenchWord: (NSString*) mot{
    NSLog(@"I received the french word %@", mot);
    frenchWord.text = mot;
}

-(BOOL) isReadyToGo {
    return self.readyToGo;
}

- (BOOL)textFieldShouldReturn:(UITextField *)theTextField {
    [theTextField resignFirstResponder];
    return YES;
}

@end
